Subject: Re: [PATCH] powerpc/signal32: Use struct_group() to zero spe regs

From: Kees Cook <[email-masked]>
Date: Fri, 19 Nov 2021 08:42:08 -0800

On Fri, Nov 19, 2021 at 05:35:00PM +0100, Christophe Leroy wrote:
> Neither do I. I was just scared by what I saw while reviewing your patch. A
> cleanup is probably required but it can be another patch.

Heh, understood! For my end, my objective with the fortify work is to
either split cross-member memcpy() calls (which is usually undesirable) or
add a struct group so it can be seen as a "single member" memcpy again
(and usually results in 0 differences in binary output). :)

-- 
Kees Cook